Models - List Custom Models
Gets the list of custom models for the authenticated subscription.
GET {endpoint}/speechtotext/models?api-version=2025-10-15
GET {endpoint}/speechtotext/models?skip={skip}&top={top}&filter={filter}&api-version=2025-10-15
URI Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
|
endpoint
|
path | True |
string |
Supported Cognitive Services endpoints (protocol and hostname, for example: https://westus.api.cognitive.microsoft.com). |
|
api-version
|
query | True |
string |
The requested api version. |
|
filter
|
query |
string |
A filtering expression for selecting a subset of the available models.
|
|
|
skip
|
query |
integer (int32) |
Number of datasets that will be skipped. |
|
|
top
|
query |
integer (int32) |
Number of datasets that will be included after skipping. |
Request Header
| Name | Required | Type | Description |
|---|---|---|---|
| Ocp-Apim-Subscription-Key | True |
string |
Provide your cognitive services account key here. |
Responses
| Name | Type | Description |
|---|---|---|
| 200 OK |
OK Headers Retry-After: integer |
|
| Other Status Codes |
An error occurred. |
Security
Ocp-Apim-Subscription-Key
Provide your cognitive services account key here.
Type:
apiKey
In:
header
Examples
Get all models in state 'Running'
Sample request
GET {endpoint}/speechtotext/models?skip=0&top=2&filter=status%20eq%20'Running'&api-version=2025-10-15
Sample response
{
"values": [
{
"baseModel": {
"self": "https://westus.api.cognitive.microsoft.com/speechtotext/models/base/8a043172-65b7-4cf3-a8b5-4449efa5a0f1?api-version=2025-10-15"
},
"datasets": [
{
"self": "https://westus.api.cognitive.microsoft.com/speechtotext/datasets/cdc91c24-3972-496d-a12f-209c35f4cc6c?api-version=2025-10-15"
}
],
"links": {
"manifest": "https://westus.api.cognitive.microsoft.com/speechtotext/models/827712a5-f942-4997-91c3-7c6cde35600b/manifest?api-version=2025-10-15",
"copy": "https://westus.api.cognitive.microsoft.com/speechtotext/models/827712a5-f942-4997-91c3-7c6cde35600b:copy?api-version=2025-10-15",
"files": "https://westus.api.cognitive.microsoft.com/speechtotext/models/827712a5-f942-4997-91c3-7c6cde35600b/files?api-version=2025-10-15"
},
"properties": {
"deprecationDates": {
"transcriptionDateTime": "2023-05-04T00:00:00Z"
},
"customModelWeightPercent": 30,
"features": {
"supportsTranscriptionsSubmit": true,
"supportsTranscriptionsTranscribe": false,
"supportsEndpoints": true,
"supportsTranscriptionsOnSpeechContainers": false,
"supportedOutputFormats": [
"Lexical",
"Display"
]
}
},
"self": "https://westus.api.cognitive.microsoft.com/speechtotext/models/827712a5-f942-4997-91c3-7c6cde35600b?api-version=2025-10-15",
"displayName": "Language model",
"description": "This is a language model",
"locale": "en-US",
"createdDateTime": "2019-01-07T11:34:12Z",
"lastActionDateTime": "2019-01-07T11:36:07Z",
"status": "Running"
},
{
"baseModel": {
"self": "https://westus.api.cognitive.microsoft.com/speechtotext/models/base/8a043172-65b7-4cf3-a8b5-4449efa5a0f1?api-version=2025-10-15"
},
"datasets": [
{
"self": "https://westus.api.cognitive.microsoft.com/speechtotext/datasets/9d5f4100-5f8e-4dd6-bd83-9bbbf50d57f1?api-version=2025-10-15"
}
],
"links": {
"manifest": "https://westus.api.cognitive.microsoft.com/speechtotext/models/a04e77e6-2009-462c-8d1c-65d718ee4b7b/manifest?api-version=2025-10-15",
"copy": "https://westus.api.cognitive.microsoft.com/speechtotext/models/a04e77e6-2009-462c-8d1c-65d718ee4b7b:copy?api-version=2025-10-15",
"files": "https://westus.api.cognitive.microsoft.com/speechtotext/models/a04e77e6-2009-462c-8d1c-65d718ee4b7b/files?api-version=2025-10-15"
},
"properties": {
"deprecationDates": {
"transcriptionDateTime": "2023-05-04T00:00:00Z"
},
"customModelWeightPercent": 30,
"features": {
"supportsTranscriptionsSubmit": true,
"supportsTranscriptionsTranscribe": false,
"supportsEndpoints": true,
"supportsTranscriptionsOnSpeechContainers": false,
"supportedOutputFormats": [
"Lexical",
"Display"
]
}
},
"self": "https://westus.api.cognitive.microsoft.com/speechtotext/models/a04e77e6-2009-462c-8d1c-65d718ee4b7b?api-version=2025-10-15",
"displayName": "Acoustic model",
"description": "Example for an acoustic model",
"locale": "en-US",
"createdDateTime": "2019-01-07T11:34:12Z",
"lastActionDateTime": "2019-01-07T11:36:07Z",
"status": "Running"
}
],
"@nextLink": "https://westus.api.cognitive.microsoft.com/speechtotext/models?skip=2&top=2&filter=status%20eq%20'Running'&api-version=2025-10-15"
}
Definitions
| Name | Description |
|---|---|
|
Custom |
CustomModel |
|
Custom |
CustomModelDeprecationDates |
|
Custom |
CustomModelFeatures |
|
Custom |
CustomModelLinks |
|
Custom |
CustomModelProperties |
|
Detailed |
DetailedErrorCode |
|
Entity |
EntityError |
|
Entity |
EntityReference |
| Error |
Error |
|
Error |
ErrorCode |
|
Inner |
InnerError |
|
Output |
OutputFormatType |
|
Paginated |
PaginatedCustomModels |
| Status |
Status |
CustomModel
CustomModel
| Name | Type | Description |
|---|---|---|
| baseModel |
EntityReference |
|
| createdDateTime |
string (date-time) |
The time-stamp when the object was created. The time stamp is encoded as ISO 8601 date and time format ("YYYY-MM-DDThh:mm:ssZ", see https://en.wikipedia.org/wiki/ISO_8601#Combined_date_and_time_representations). |
| customProperties |
object |
The custom properties of this entity. The maximum allowed key length is 64 characters, the maximum allowed value length is 256 characters and the count of allowed entries is 10. |
| datasets |
Datasets used for adaptation. |
|
| description |
string |
The description of the object. |
| displayName |
string minLength: 1 |
The display name of the object. |
| lastActionDateTime |
string (date-time) |
The time-stamp when the current status was entered. The time stamp is encoded as ISO 8601 date and time format ("YYYY-MM-DDThh:mm:ssZ", see https://en.wikipedia.org/wiki/ISO_8601#Combined_date_and_time_representations). |
| links |
CustomModelLinks |
|
| locale |
string minLength: 1 |
The locale of the contained data. |
| project |
EntityReference |
|
| properties |
CustomModelProperties |
|
| self |
string (uri) |
The location of this entity. |
| status |
Status |
CustomModelDeprecationDates
CustomModelDeprecationDates
| Name | Type | Description |
|---|---|---|
| transcriptionDateTime |
string (date-time) |
The date when transcription becomes deprecated. |
CustomModelFeatures
CustomModelFeatures
| Name | Type | Description |
|---|---|---|
| supportedOutputFormats |
Supported output formats. |
|
| supportsEndpoints |
boolean |
A value indicating whether creation of endpoints for live transcription is supported. |
| supportsTranscriptionsOnSpeechContainers |
boolean |
A value indicating whether this model can be used for transcription on speech container. This feature can be added on existing models when it becomes usable on speech container. |
| supportsTranscriptionsSubmit |
boolean |
A value indicating whether submission of transcription jobs is supported (POST /transcriptions:submit). |
| supportsTranscriptionsTranscribe |
boolean |
A value indicating whether the transcribe action is supported (POST /transcriptions:transcribe). |
CustomModelLinks
CustomModelLinks
| Name | Type | Description |
|---|---|---|
| copy |
string (uri) |
The location to the model copy action. See operation "Models_Copy" for more details. |
| files |
string (uri) |
The location to get all files of this entity. See operation "Models_ListFiles" for more details. |
| manifest |
string (uri) |
The location to get a manifest for this model to be used in the on-prem container. See operation "Models_GetCustomModelManifest" for more details. |
CustomModelProperties
CustomModelProperties
| Name | Type | Description |
|---|---|---|
| customModelWeightPercent |
integer (int32) minimum: 1maximum: 100 |
The weight of custom model between 1 (1% custom model and 99% base model) and 100 (100% custom model and 0% base model). When this property is not set, the service chooses a suitable value (get the model to retrieve the selected weight). Start without using this property. If needed, choose a larger (or smaller) weight to increase (or decrease) the impact of the custom model. |
| deprecationDates |
CustomModelDeprecationDates |
|
| error |
EntityError |
|
| features |
CustomModelFeatures |
DetailedErrorCode
DetailedErrorCode
| Value | Description |
|---|---|
| InvalidParameterValue |
Invalid parameter value. |
| InvalidRequestBodyFormat |
Invalid request body format. |
| EmptyRequest |
Empty Request. |
| MissingInputRecords |
Missing Input Records. |
| InvalidDocument |
Invalid Document. |
| ModelVersionIncorrect |
Model Version Incorrect. |
| InvalidDocumentBatch |
Invalid Document Batch. |
| UnsupportedLanguageCode |
Unsupported language code. |
| DataImportFailed |
Data import failed. |
| InUseViolation |
In use violation. |
| InvalidLocale |
Invalid locale. |
| InvalidBaseModel |
Invalid base model. |
| InvalidAdaptationMapping |
Invalid adaptation mapping. |
| InvalidDataset |
Invalid dataset. |
| InvalidTest |
Invalid test. |
| FailedDataset |
Failed dataset. |
| InvalidModel |
Invalid model. |
| InvalidTranscription |
Invalid transcription. |
| InvalidPayload |
Invalid payload. |
| InvalidParameter |
Invalid parameter. |
| EndpointWithoutLogging |
Endpoint without logging. |
| InvalidPermissions |
Invalid permissions. |
| InvalidPrerequisite |
Invalid prerequisite. |
| InvalidProductId |
Invalid product id. |
| InvalidSubscription |
Invalid subscription. |
| InvalidProject |
Invalid project. |
| InvalidProjectKind |
Invalid project kind. |
| InvalidRecordingsUri |
Invalid recordings uri. |
| OnlyOneOfUrlsOrContainerOrDataset |
Only one of urls or container or dataset. |
| ExceededNumberOfRecordingsUris |
Exceeded number of recordings uris. |
| InvalidChannels |
Invalid channels. |
| ModelMismatch |
Model mismatch. |
| ProjectGenderMismatch |
Project gender mismatch. |
| ModelDeprecated |
Model deprecated. |
| ModelExists |
Model exists. |
| ModelNotDeployable |
Model not deployable. |
| EndpointNotUpdatable |
Endpoint not updatable. |
| SingleDefaultEndpoint |
Single default endpoint. |
| EndpointCannotBeDefault |
Endpoint cannot be default. |
| InvalidModelUri |
Invalid model uri. |
| SubscriptionNotFound |
Subscription not found. |
| QuotaViolation |
Quota violation. |
| UnsupportedDelta |
Unsupported delta. |
| UnsupportedFilter |
Unsupported filter. |
| UnsupportedPagination |
Unsupported pagination. |
| UnsupportedDynamicConfiguration |
Unsupported dynamic configuration. |
| UnsupportedOrderBy |
Unsupported order by. |
| NoUtf8WithBom |
No utf8 with bom. |
| ModelDeploymentNotCompleteState |
Model deployment not complete state. |
| SkuLimitsExist |
Sku limits exist. |
| DeployingFailedModel |
Deploying failed model. |
| UnsupportedTimeRange |
Unsupported time range. |
| InvalidLogDate |
Invalid log date. |
| InvalidLogId |
Invalid log id. |
| InvalidLogStartTime |
Invalid log start time. |
| InvalidLogEndTime |
Invalid log end time. |
| InvalidTopForLogs |
Invalid top for logs. |
| InvalidSkipTokenForLogs |
Invalid skip token for logs. |
| DeleteNotAllowed |
Delete not allowed. |
| Forbidden |
Forbidden. |
| DeployNotAllowed |
Deploy not allowed. |
| UnexpectedError |
Unexpected error. |
| InvalidCollection |
Invalid collection. |
| InvalidCallbackUri |
Invalid callback uri. |
| InvalidSasValidityDuration |
Invalid sas validity duration. |
| InaccessibleCustomerStorage |
Inaccessible customer storage. |
| UnsupportedClassBasedAdaptation |
Unsupported class based adaptation. |
| InvalidWebHookEventKind |
Invalid web hook event kind. |
| InvalidTimeToLive |
Invalid time to live. |
| InvalidSourceAzureResourceId |
Invalid source Azure resource ID. |
| ModelCopyAuthorizationExpired |
Expired ModelCopyAuthorization. |
| EndpointLoggingNotSupported |
Endpoint logging not supported. |
| NoLanguageIdentified |
Language Identification did not recognize any language. |
| MultipleLanguagesIdentified |
Language Identification recognized multiple languages. No dominant language could be determined. |
| InvalidAudioFormat |
The format of input audio is not supported. |
| BadChannelConfiguration |
There is a mismatch between audio channels in the data, in the configuration, or the requirements of the application. |
| InvalidChannelSpecification |
The selection of channels in the transcription request is not supported (e.g., neither 0 nor 1 have been selected.) |
| AudioLengthLimitExceeded |
The audio file is longer than the maximum allowed duration. |
| EmptyAudioFile |
The audio file is empty. |
EntityError
EntityError
| Name | Type | Description |
|---|---|---|
| code |
string |
The code of this error. |
| message |
string |
The message for this error. |
EntityReference
EntityReference
| Name | Type | Description |
|---|---|---|
| self |
string (uri) |
The location of the referenced entity. |
Error
Error
| Name | Type | Description |
|---|---|---|
| code |
ErrorCode |
|
| details |
Error[] |
Additional supportive details regarding the error and/or expected policies. |
| innerError |
InnerError |
|
| message |
string |
High level error message. |
| target |
string |
The source of the error. For example it would be "documents" or "document id" in case of invalid document. |
ErrorCode
ErrorCode
| Value | Description |
|---|---|
| InvalidRequest |
Representing the invalid request error code. |
| InvalidArgument |
Representing the invalid argument error code. |
| InternalServerError |
Representing the internal server error error code. |
| ServiceUnavailable |
Representing the service unavailable error code. |
| NotFound |
Representing the not found error code. |
| PipelineError |
Representing the pipeline error error code. |
| Conflict |
Representing the conflict error code. |
| InternalCommunicationFailed |
Representing the internal communication failed error code. |
| Forbidden |
Representing the forbidden error code. |
| NotAllowed |
Representing the not allowed error code. |
| Unauthorized |
Representing the unauthorized error code. |
| UnsupportedMediaType |
Representing the unsupported media type error code. |
| TooManyRequests |
Representing the too many requests error code. |
| UnprocessableEntity |
Representing the unprocessable entity error code. |
InnerError
InnerError
| Name | Type | Description |
|---|---|---|
| code |
DetailedErrorCode |
|
| details |
object |
Additional supportive details regarding the error and/or expected policies. |
| innerError |
InnerError |
|
| message |
string |
High level error message. |
| target |
string |
The source of the error. For example it would be "documents" or "document id" in case of invalid document. |
OutputFormatType
OutputFormatType
| Value | Description |
|---|---|
| Lexical |
Model provides the transcription output without formatting. |
| Display |
Model supports display formatting transcriptions output or endpoints. |
PaginatedCustomModels
PaginatedCustomModels
| Name | Type | Description |
|---|---|---|
| @nextLink |
string (uri) |
A link to the next set of paginated results if there are more entities available; otherwise null. |
| values |
A list of entities limited by either the passed query parameters 'skip' and 'top' or their default values. When iterating through a list using pagination and deleting entities in parallel, some entities will be skipped in the results. It's recommended to build a list on the client and delete after the fetching of the complete list. |
Status
Status
| Value | Description |
|---|---|
| NotStarted |
The long running operation has not yet started. |
| Running |
The long running operation is currently processing. |
| Succeeded |
The long running operation has successfully completed. |
| Failed |
The long running operation has failed. |